# square

set scales for isometric plot (change the size of the window)

## Calling Sequence

    square(xmin, ymin, xmax, ymax)

## Arguments

xmin, xmax, ymin, ymax

  four real values.

## Description

`square` is used to have isometric scales on the x and y axes. The requested values `xmin`, `xmax`, `ymin`, `ymax` are the boundaries of the graphics frame and `square` changes the graphics window dimensions in order to have an isometric plot. `square` sets the current graphics scales and can be used in conjunction with graphics routines which request the current graphics scale (for instance `strf="x0z"` in `plot2d`).

## Examples

    t=[0:0.1:2*%pi]';
    plot2d(sin(t),cos(t))
    clf()
    square(-1,-1,1,1)
    plot2d(sin(t),cos(t))

## See Also

- isoview
- xsetech